Globalcaching

Globalcaching Forum

Je bent niet ingelogd. Klik hier om in te loggen.

GSAK Macro voor API V2


<   1   2   3   4   >
Auteur Reactie
Canis L. Albus


Donateur
Is er al zicht op de aanpassing van de GSAK Macro naar API V2?
Indien gewenst wil ik wel beta testen.
searchjaunt


Donateur
Ik denk dat de tijd begint te dringen, want update 118 laat enkel nog V2 oproepen toe.
Canis L. Albus


Donateur
Uit betrouwbare bron weet ik dat per 01--05-2019 API V1 wordt uitgezet.
Dus inderdaad er is nog een week of 6 tijd.
AppieEnJoke


Donateur
Zou fijn zijn als de macro wordt geupdate, met API V2 werkt die niet meer, jammer.

Groetjes van Appie uit Delft.
searchjaunt


Donateur
Ik zie 2 API calls.
Dwz dat GetBookmarkListsForUser zal moeten vervangen worden door Get User Lists, maar "ids will no longer be used for identifiers"
en GetBookmarkListByGuid door Get List, maar "guids will no longer be used for identifiers"
Canis L. Albus


Donateur
Ik zal vanavond eens kijken of ik dit kan omklussen naar de API2 versie.
Lijkt me niet zo'n heel groot probleem.
Als dit akkoord is tenminste.
searchjaunt


Donateur

Als reactie op Canis L. Albus (Bekijk reactie):

Ik zal vanavond eens kijken of ik dit kan omklussen naar de API2 versie.
Lijkt me niet zo'n heel...
Ik zou u in ieder geval zeer dankbaar zijn.
AppieEnJoke


Donateur
Fijn, ben je dankbaar.

Groetjes van Appie uit Delft.
Mars Express


Donateur
in de tussentijd kan je je ConfigOther.txt even editten zodat in de [Groundspeak api] sectie 'ApiUrl=oldapi' dit staat. Dan gebruikt GSAK weer de oude api (voor zolang het duurt..)
D_Jakke


Donateur

Als reactie op Canis L. Albus (Bekijk reactie):

Ik zal vanavond eens kijken of ik dit kan omklussen naar de API2 versie.
Lijkt me niet zo'n heel...
Ik gebruik nu de API switch macro, maar zou handig zijn moest API2 gewoon werken met de gsak update macro.
aller-aller


Donateur
ook ik probeer te switchen tussen API1 en 2 maar bij mij werkt de macro bij beide niet
op 1 en 2 kan ik wel mijn cachegegevens vernieuwen dus de API lijkt wel te werken
Een nieuwe token ophalen voor API1 in GSAK leidt steeds tot een foutmelding (unauthorized) en API2 heb ik wel kunnen vernieuwen

ik snap er weinig van eigenlijk...
on4bam


Lid

Als reactie op aller-aller (Bekijk reactie):

ook ik probeer te switchen tussen API1 en 2 maar bij mij werkt de macro bij beide niet
op 1 en 2...
Het is APIv6 (de oude) en APIv1 (de nieuwe).

Vernieuwen van het token met de oude API doe je best met "method 2", door een Windows fout werkt de "normale" manier niet meer. In een Windows update in april zou dit opgelost moeten worden, de fout zit in IE.
searchjaunt


Donateur
ToggleAPI kent enkel versie 1 en 2 en na het uitvoeren werkt de globalcaching nog niet. In feite werkt het voor geen één van de twee versies, ook niet na herstart. Versie 118 houdt daar precies geen rekening mee.
on4bam


Lid

Als reactie op searchjaunt (Bekijk reactie):

ToggleAPI kent enkel versie 1 en 2 en na het uitvoeren werkt de globalcaching nog niet. In feite wer...
Versie 118 is "by default" nieuwe API. Je kan nog steeds de oude API gebruiken als je ConfigOther.txt aanpast. Zie GSAK forum.
https://gsak.net/board/index.php?showtopic=33366&st=380#
URL gepaste omdat deze site het geen correcte link vindt.
searchjaunt


Donateur
Is het niet de bedoeling van die ToggleAPI om de nodige aanpassingen te doen?
Ik heb nog niet naar de code ervan gekeken, maar het doet toch precies niet wat het moet doen. De manuele aanpassing werkt natuurlijk wel.
<   1   2   3   4   >
<   1   2   3   4   >